Bug 502229 - images/boot.iso does not include askmethod parameter
images/boot.iso does not include askmethod parameter
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda-images (Show other bugs)
11
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-22 12:41 EDT by Robert Styma
Modified: 2016-02-01 08:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:39:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
stymar: needinfo-


Attachments (Terms of Use)
/tmp/*log* from an F11 Pre install from boot.iso (29.84 KB, application/x-gzip-compressed)
2009-05-28 10:19 EDT, Robert Styma
no flags Details

  None (edit)
Description Robert Styma 2009-05-22 12:41:59 EDT
Description of problem:
I downloaded the Fedora 11 Pre version last night and transferred
the image onto an NFS server.  I then burned the boot.iso from 
the images directory and tried an NFS install on the Dell GX150 I
have for such tests.  The results were more disappointing than
with Fedora 10.

1.  Starting with Fedora 10, the boot.iso disk does not prompt you for
    the install method unless you press the TAB key and add the 
    parameter askmethod to the parameters.  This is not how it is 
    documented and took a while to figure out.  If you just press 
    enter, it goes right to anaconda and says:
    "Local Installation Media Found"
    It then tries to use the boot.iso CD as the install media which
    of course does not work.  The correction is to add the askmethod
    parm to default parameters on the boot.iso image.  Having the
    default action be something that does not work is not good.

2.  This started with the Fedora 11 Pre install.
    The boot.iso image fails to start X on the GX150.  Previous versions
    of Fedora do start the X server.  The card in the GX150 is marked
    Nvidia 180-p0019-0100-A02.  There is also onboard video.  I took the
    card out and the X server did start although the background had
    junk in it.  I don't know what that card is.

3.  On the run with the video card which would not start, it asked me if
    I wanted to try and start VNC so I could use an different machine's
    display to do the install or continue in text mode.  I picked VNC even
    though it had picked a DHCP address which I did not know (Pick my own
    address next time).  There were a couple of shutdown messages ending
    with a message that it was safe to reboot my computer.

Bob S
Phoenix, AZ

Version-Release number of selected component (if applicable): Fedora 11 Pre May 21, 2009


How reproducible:
Every Time

Steps to Reproduce:
1. Create CD from the images/boot.iso
2. boot from this file, I was using a Dell GX150
3. Attempt NFS Install
  
Actual results:
See problem descrition

Expected results:
Installed system

Additional info:
Comment 1 Chris Lumens 2009-05-22 13:10:04 EDT
One bug per issue, please.

(1) This is by design.  If you use the boot.iso, anaconda defaults to using the mirrorlist provided by the fedora.repo file out of fedora-release.  The idea here is that you shouldn't need to know the whole giant URL to get installing as that information is easy enough to determine automatically.  I'm not sure how it's not working for you.  There could be several things going on like a firewall in your way, mirror outage, and the like.  Describing the failure case would be more helpful.  Regardless, the default action does work for plenty of people and it's quite good.  Where it it documented differently?

(2) Sounds like a bug that needs to be filed against X.

(3) Sounds like an anaconda problem, but it's impossible to know without knowing the exact error messages.
Comment 2 Robert Styma 2009-05-22 14:00:45 EDT
(1) This is probably not working for me because I am behind a proxy server at work.  I was unaware that it would try an http install by default.  I know the proxy is an issue because if I try to check one of the "Additional" repositories without trying to set up the proxy first, it goes away forever till I power cycle.  An option which inserts the "askmethod" on that first panel of options would be real nice.  If that is not possible, an option to let me set up the proxy server from the first panel would be nice.

Actually, there is one other issue with what you described.  When I choose askmethod and then NFS, the install has me set up the network connection.  I got no such opportunity with the default action.  Is it assuming DHCP on whatever it picks as eth0?

Thank you for the quick response.

I will reproduce the other two issues and file them separately.  I was kind of providing them to give as complete a picture as possible of what I was doing.
Comment 3 James Laska 2009-05-27 11:08:57 EDT
Replied on fedora-test-list, but will reply here as well.

(1) The different install media are documented inthe installation guide (see http://rlandmann.fedorapeople.org/Installation%20Guide/en-US/html/sn-which-files.html).  Based on the network requirements you have mentioned, the installation media that fits your needs is the DVD iso image.

re: proxy, the graphical installer allows you to define proxy server information for any yum repositories listed (see screenshot - http://jlaska.fedorapeople.org/repo-proxy.png).  If this is failing for you with the latest rawhide, can you file this as separate issue specific to configuring a proxy server for yum repos?

(3) I agree with Chris, can you be more specific with screenshots and any log files (change to <ctrl><alt>F2 and grab /tmp/*log*)?
Comment 4 Robert Styma 2009-05-28 10:19:29 EDT
Created attachment 345766 [details]
/tmp/*log* from an F11 Pre install from boot.iso

Here are the logs from the F11 Pre install from the boot.iso.
This was done behind a proxy server and the process hung before any
opportunity to specify the proxy information.
Comment 5 Bug Zapper 2009-06-09 12:22:19 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Piotr Piotrowski 2009-06-16 15:37:10 EDT
I have a comment regarding askmethod parameter. I have a LAN with 2 computers one is older without a DVD and I have a slow connection with the internet. I usually have an install DVD from which I upgrade the newer of the two computers, then I mount the DVD in /var/www/html and perform network installation on the older computer. Now that askmethod is "hidden", even though I new about it (I used it last time) I just forgot to enter it (you don't perform upgrades every day). After clicking several times the next button I found myself downloading rpms through the slow internet connection I have, instead of from the other computer through LAN.

As far as I remeber way back in the past there was a special screen saying that this is the last screen and hitting next is irreversible. Could you add that back? On encountering such a screen I would have realised there was no screen to enter URL of the repo and that I had missed something, I would have went back and entered the askmethod parameter. The way it is now when I realise I forgot something I is already too late.

Furthermore on such last screen there could be some summary of the installation that is about to begin containing information on the partition layout (with file system types: ext2/3/4, etc.), installation method, installation source, etc.
Comment 7 James Laska 2009-06-17 09:05:10 EDT
Greetings Piotr:

(In reply to comment #6)

> As far as I remeber way back in the past there was a special screen saying that
> this is the last screen and hitting next is irreversible. Could you add that
> back? On encountering such a screen I would have realised there was no screen
> to enter URL of the repo and that I had missed something, I would have went
> back and entered the askmethod parameter. The way it is now when I realise I
> forgot something I is already too late.

I agree that this would be a useful step before package installation does it's thinkg.  Can you file an enhancement request against anaconda to add this to the Fedora 12 installer?  Just file this request under version=rawhide.
 
> Furthermore on such last screen there could be some summary of the installation
> that is about to begin containing information on the partition layout (with
> file system types: ext2/3/4, etc.), installation method, installation source,
> etc.  

I suspect adding this detailed information to the current installation summary screen might not be in line with the the goals of the anaconda-devel team.  However, it never hurts to request this feature in a enhancement request bug.  You can obtain this information manually by changing to tty2 (<ctrl><alt>F2) at the current installation summary screen, and inspecting the system.
Comment 8 Jeremy Katz 2009-06-17 09:14:17 EDT
(In reply to comment #6)
> As far as I remeber way back in the past there was a special screen saying that
> this is the last screen and hitting next is irreversible. Could you add that
> back? On encountering such a screen I would have realised there was no screen
> to enter URL of the repo and that I had missed something, I would have went
> back and entered the askmethod parameter. The way it is now when I realise I
> forgot something I is already too late.

... and when the screen was there, people complained they clicked next after the package screen, walked away while deps were solved and came back to have it sitting at the screen rather than installing / being done.  I don't think we're likely to add it back.  Maybe we can do something to make the package source more obvious on the repo screen
Comment 9 Joel Andres Granados 2009-07-31 07:58:27 EDT
  Robert :
Does the behavior from comment #4 still occur in current rawhide?
Comment 10 Bug Zapper 2010-04-27 10:28:08 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-06-28 08:39:45 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.